javax.swing

## Class DefaultFocusManager

- java.lang.Object
- - java.awt.KeyboardFocusManager
  - - java.awt.DefaultKeyboardFocusManager
    - - javax.swing.FocusManager
      - - javax.swing.DefaultFocusManager

All Implemented Interfaces:
  KeyEventDispatcher, KeyEventPostProcessor

    public class DefaultFocusManager
    extends FocusManager

This class has been obsoleted by the 1.4 focus APIs. While client code may still use this class, developers are strongly encouraged to use `java.awt.KeyboardFocusManager` and `java.awt.DefaultKeyboardFocusManager` instead.

Please see How to Use the Focus Subsystem, a section in The Java Tutorial, and the Focus Specification for more information.

### Field Summary

### Fields inherited from class javax.swing.FocusManager

`FOCUS_MANAGER_CLASS_PROPERTY`

### Fields inherited from class java.awt.KeyboardFocusManager

`BACKWARD_TRAVERSAL_KEYS, DOWN_CYCLE_TRAVERSAL_KEYS, FORWARD_TRAVERSAL_KEYS, UP_CYCLE_TRAVERSAL_KEYS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultFocusManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compareTabOrder(Component a, Component b)`
`Component` `getComponentAfter(Container aContainer, Component aComponent)`
`Component` `getComponentBefore(Container aContainer, Component aComponent)`
`Component` `getFirstComponent(Container aContainer)`
`Component` `getLastComponent(Container aContainer)`

### Methods inherited from class javax.swing.FocusManager

`disableSwingFocusManager, getCurrentManager, isFocusManagerEnabled, setCurrentManager`

### Methods inherited from class java.awt.DefaultKeyboardFocusManager

`dequeueKeyEvents, discardKeyEvents, dispatchEvent, dispatchKeyEvent, downFocusCycle, enqueueKeyEvents, focusNextComponent, focusPreviousComponent, postProcessKeyEvent, processKeyEvent, upFocusCycle`

### Methods inherited from class java.awt.KeyboardFocusManager

`addKeyEventDispatcher, addKeyEventPostProcessor, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clearFocusOwner, clearGlobalFocusOwner, downFocusCycle, firePropertyChange, fireVetoableChange, focusNextComponent, focusPreviousComponent, getActiveWindow, getCurrentFocusCycleRoot, getCurrentKeyboardFocusManager, getDefaultFocusTraversalKeys, getDefaultFocusTraversalPolicy, getFocusedWindow, getFocusOwner, getGlobalActiveWindow, getGlobalCurrentFocusCycleRoot, getGlobalFocusedWindow, getGlobalFocusOwner, getGlobalPermanentFocusOwner, getKeyEventDispatchers, getKeyEventPostProcessors, getPermanentFocusOwner, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, redispatchEvent, removeKeyEventDispatcher, removeKeyEventPostProcessor, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener, setCurrentKeyboardFocusManager, setDefaultFocusTraversalKeys, setDefaultFocusTraversalPolicy, setGlobalActiveWindow, setGlobalCurrentFocusCycleRoot, setGlobalFocusedWindow, setGlobalFocusOwner, setGlobalPermanentFocusOwner, upFocusCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultFocusManager

    public DefaultFocusManager()

### Method Detail

#### getComponentAfter

    public Component getComponentAfter(Container aContainer,
                                       Component aComponent)

#### getComponentBefore

    public Component getComponentBefore(Container aContainer,
                                        Component aComponent)

#### getFirstComponent

    public Component getFirstComponent(Container aContainer)

#### getLastComponent

    public Component getLastComponent(Container aContainer)

#### compareTabOrder

    public boolean compareTabOrder(Component a,
                                   Component b)